<div class="d-none" id="alert-container" th:fragment="messages">
    <th:block th:each="message : ${messages}" th:if="${not #lists.isEmpty(messages)}">
        <div th:attr="data-message=${message.message}, data-type=${message.type.getDescription()}">
        </div>
    </th:block>

    <th:block layout:fragment="extra-messages">

    </th:block>
</div>